<!doctype html>
<html lang="en">
<head>
    <title>Add Secure Shell (SSH) Public Key to GitLab</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title class=duck><a href="https://duckduckgo.com/lite?kae=t&q=Add Secure Shell (SSH) Public Key to GitLab">Add Secure Shell (SSH) Public Key to GitLab</a></h1>
  <p>Here’s how to add a <a href="/tools/ssh/tasks/keygen/">public key</a> to your GitLab account.</p>
  <p>Find the user drop-down menu and click it.</p>
  <figure>
  <img src="usermenu.png" alt="GitLab User Drop-Down Menu" /><figcaption aria-hidden="true">GitLab User Drop-Down Menu</figcaption>
  </figure>
  <p>Then find your user settings pane <strong><em>to the left</em></strong> and click <code>SSH Keys</code>.</p>
  <figure>
  <img src="usersettings.png" alt="GitLab User Settings Pane" /><figcaption aria-hidden="true">GitLab User Settings Pane</figcaption>
  </figure>
  <p>You’ll see the following page open up. Cut <em>all</em> of your <a href="/tools/ssh/tasks/catpub/">public key</a> (yes including the stuff at the end) and paste into the box and click <code>Add</code>.</p>
  <figure>
  <img src="sshkeys.png" alt="GitLab SSH Keys Page" /><figcaption aria-hidden="true">GitLab SSH Keys Page</figcaption>
  </figure>
  <p>You know have a new public key available. Might want to check that it works with a <a href="/tools/git/ping/">Git Ping</a>.</p>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>